Skip to main content
GET
/
v1
/
charts
v1 List Charts
curl --request GET \
  --url http://api.globalwebindex.com/v1/charts \
  --header 'Authorization: <api-key>'
import requests

url = "http://api.globalwebindex.com/v1/charts"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('http://api.globalwebindex.com/v1/charts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "charts": [
    {
      "created_at": 123,
      "dataset_codes": [
        "<string>"
      ],
      "dataset_names": [
        "<string>"
      ],
      "folder_id": "<string>",
      "id": "<string>",
      "is_owner": true,
      "is_public": true,
      "is_shared": true,
      "name": "<string>",
      "owner_email": "<string>",
      "owner_id": 123,
      "shared_at": 123,
      "shared_type": "<string>",
      "updated_at": 123
    }
  ]
}
{
"code": 123,
"message": "<string>"
}
{
"code": 123,
"message": "<string>"
}
{
"code": 123,
"message": "<string>"
}

Authorizations

Authorization
string
header
required

JWT token for authentication

Query Parameters

folderID
string

Folder id.

Response

OK

charts
object[]